# $Revision: 1.51 $, $Date: 2011/05/19 12:58:50 $
%define snapdate 20010309
%define	rel	15
Summary:	Glide runtime for 3Dfx Voodoo Banshee and Voodoo3 boards
Summary(ko.UTF-8):	3Dfx 부두 벤쉬/3 비디오카드용 Glide 런타임 라이브러리
Summary(pl.UTF-8):	Biblioteki Glide dla kart 3Dfx Voodoo Banshee oraz Voodoo3
Name:		Glide_V3-DRI
Version:	3.10.0
Release:	0.%{snapdate}.%{rel}
Epoch:		1
License:	3dfx Glide General Public License, 3Dfx Interactive Inc.
Group:		X11/Libraries
Source0:	cvs://anonymous@cvs.glide.sourceforge.net:/cvsroot/glide/glide3x-%{snapdate}.tar.gz
# Source0-md5:	42a8e093221b2360ec96191ae0e13ce0
Patch0:		glide-ia64.patch
Patch1:		glide-ac-workaround.patch
Patch2:		glide-h3.patch
Patch3:		glide-h5.patch
Patch4:		glide-am16.patch
Patch5:		glide-gcc33.patch
Patch6:		glide-ioctl.patch
Patch7:		glide-morearchs.patch
Patch8:		glide-gcc34.patch
Patch9:	glide-no_redefine_macro.patch
URL:		http://glide.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXau-devel
BuildRequires:	xorg-lib-libXdmcp-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXxf86dga-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
Provides:	Glide3-DRI
Obsoletes:	Glide_V5-DRI
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library allows the user to use a 3dfx Interactive Voodoo Banshee
or Voodoo3 card under Linux with DRI support. The source support DRI
or non-DRI versions of Glide.

%description -l pl.UTF-8
Ta biblioteka pozwala użytkownikowi na używanie kart 3dfx Interactive
Voodoo Banshee lub Voodoo3 pod Linuksem z DRI. Ta wersja zawiera
wsparcie dla wersji Glide z DRI i bez DRI.

%package devel
Summary:	Development headers for Glide 3.x
Summary(pl.UTF-8):	Pliki nagłówkowe Glide 3.x
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	Glide3-DRI-devel
Obsoletes:	Glide_V5-DRI-devel

%description devel
This package includes the headers files, documentation, and test files
necessary for developing applications that use the 3Dfx Interactive
Voodoo Banshee or Voodoo3 cards.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe, dokumentacje, oraz pliki tekstowe
wymagane przez aplikacje deweloperskie, które używają kart 3Dfx
Interactive Voodoo Banshe lub Voodoo3.

%package static
Summary:	Static library Glide 3.x
Summary(pl.UTF-8):	Statyczne biblioteki Glide 3.x
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	Glide3-DRI-static
Obsoletes:	Glide_V5-DRI-static

%description static
This package includes the static Glide3 library for Voodoo Banshee or
Voodoo3 cards.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczne biblioteki Glide3 dla kart Voodoo Banshee
lub Voodoo3.

%prep
%setup -q -n glide3x-%{snapdate}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake} -i
%configure \
	--enable-fx-dri-build \
	--enable-fx-glide-hw=h3 \
	--enable-fx-debug=no \
%ifarch i586 i686 athlon pentium3 pentium4
	--enable-amd3d
%endif

%{__make} -f makefile.autoconf all \
	GLIDE_DEBUG_GCFLAGS="%{rpmcflags} -fno-expensive-optimizations %{!?debug:-fomit-frame-pointer -ffast-math}" \
	GLIDE_DEBUG_GDEFS="%{!?debug:-DBIG_OPT} %{?debug:-DGDBG_INFO_ON -DGLIDE_DEBUG}" \
	LINK_LIBS="-L/usr/X11R6/%{_lib} -lX11 -lXext -lXxf86dga -lXxf86vm -lm"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/tests

# something is recompiled - use GCFLAGS too
%{__make} -f makefile.autoconf install \
	GLIDE_DEBUG_GCFLAGS="%{rpmcflags} -fno-expensive-optimizations %{!?debug:-fomit-frame-pointer -ffast-math}" \
	GLIDE_DEBUG_GDEFS="%{!?debug:-DBIG_OPT} %{?debug:-DGDBG_INFO_ON -DGLIDE_DEBUG}" \
	LINK_LIBS="-L/usr/X11R6/%{_lib} -lX11 -lXext -lXxf86dga -lXxf86vm -lm" \
	DESTDIR=$RPM_BUILD_ROOT

# used by tdfx_dri.so from XFree86
ln -sf libglide3.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libglide3-v3.so
# used by ???
ln -sf libglide3.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libglide3x_V3.so
ln -sf libglide3.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libglide3x.so

# Install the examples and their source, no binaries
install h3/glide3/tests/makefile.distrib $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/tests/makefile
install h3/glide3/tests/*.3df $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/tests
install h3/glide3/tests/test??.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/tests
install h3/glide3/tests/tldata.inc $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/tests
install h3/glide3/tests/tlib.[ch] $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/tests
gzip -9nf $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/tests/*.3df

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc glide_license.txt
%attr(755,root,root) %{_libdir}/libglide3.so.*.*.*
%attr(755,root,root) %{_libdir}/libglide3-v3.so
%attr(755,root,root) %{_libdir}/libglide3x.so
%attr(755,root,root) %{_libdir}/libglide3x_V3.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libglide3.so
%{_libdir}/lib*.la
%{_includedir}/glide3
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Glide_V3-DRI.spec,v $
Revision 1.51  2011/05/19 12:58:50  arekm
- rel 15

Revision 1.50  2011/01/29 00:06:02  sparky
- dropped pre-cvs changelog

Revision 1.49  2008/11/11 15:13:11  arekm
- rel .14

Revision 1.48  2007/02/12 21:21:30  glen
- tabs in preamle

Revision 1.47  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.46  2007/01/13 23:10:01  arekm
- rel .13

Revision 1.45  2007/01/04 17:38:47  sls
- removed patch gcc4 (fixed already in gcc34)

Revision 1.44  2007/01/03 17:24:09  sls
- added patches gcc4 and no_redefine_macro

Revision 1.43  2006/12/23 11:23:01  arekm
- rel .12; Th deps

Revision 1.42  2006/01/21 00:01:16  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.41  2004/06/19 10:01:40  qboosh
- unified examples dir

Revision 1.40  2004/06/19 09:59:13  qboosh
- compress *.3df in examples

Revision 1.39  2004/06/19 09:52:54  qboosh
- release .11 not epoch 2 (fortunately didn't go to any distro line)

Revision 1.38  2004/04/27 21:42:40  adgor
- Added gcc34.patch
- Enabled amd3d on p3,4
- Release 2

Revision 1.37  2004/01/17 19:46:47  qboosh
- files unification

Revision 1.36  2004/01/17 19:29:13  qboosh
- added ioctl (for 2.6) and morearchs (for ppc/sparc/amd64) patches
- link with -lm (needed on ppc), release .10

Revision 1.35  2003/08/13 14:46:38  ankry
- cosmetics

Revision 1.34  2003/07/17 15:17:12  qboosh
- added gcc33 patch, release .9

Revision 1.33  2003/06/26 12:37:54  qboosh
- release contains snapshot version - added to deps

Revision 1.32  2003/06/25 01:01:00  averne
- fixed epoch:version issue

Revision 1.31  2003/06/10 11:46:26  ankry
- added md5

Revision 1.30  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2002/12/30 17:08:09  kloczek
- merge ko translations from MIZI.

Revision 1.28  2002/11/25 14:12:18  ankry
- massive attack: no need for 755 for *.la

Revision 1.27  2002/10/09 13:14:14  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.26  2002/06/23 20:32:19  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.25  2002/05/25 20:15:33  kloczek
- use new %doc infrastructure.

Revision 1.24  2002/05/21 23:12:36  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.23  2002/03/25 20:06:40  qboosh
- fix: added libglide3-vX.so symlink (tdfx_dri.so from XFree86 uses it)
  now -devel is not needed to use DRI with tdfx driver
- am16 patch (needed for am 1.6), added -f to automake call
- release 0.snap.7

Revision 1.22  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/01/27 18:21:47  filon
- enable 3dnow for i[56]86 is back

Revision 1.20  2002/01/26 13:13:52  filon
- athlon updates
- release 6

Revision 1.19  2002/01/18 02:12:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2001/12/13 19:05:05  qboosh
- unconditional 3Dnow support for i[56]86 - seems to have good runtime detection
- release 0.20010309.5

Revision 1.17  2001/10/03 16:45:28  filon
- changed req for main subpkg in static subpkg to devel
- release 4

Revision 1.16  2001/09/27 19:50:46  qboosh
- added AM_PROG_AS for automake 1.5 to ac-workaround patch
- added s/automake -a -c/automake -a -c -i/ (have no idea why deps doesn't work)
- fixed typo in ia64 patch and removed fixing it from h5 patch

Revision 1.15  2001/09/26 08:55:15  qboosh
- release 0.20010309.3: added Obsoletes: Glide_V5-DRI*

Revision 1.14  2001/09/04 00:51:20  kloczek
- adapterized.

Revision 1.13  2001/09/02 10:59:45  qboosh
- added Provides: Glide_V3-DRI{,-devel,-static}
- release 0.20010309.2

Revision 1.12  2001/08/03 21:50:56  qboosh
- gulp... added asm code fix to h3 and h5 patches - on Linux gc is passed on
  stack, not in edx (funny that edx may contain correct value - depending on
  optimizations)

Revision 1.11  2001/08/02 22:25:15  qboosh
- added -fno-expensive-optimizations as workaround for gcc 2.95.3 bug
  causing SEGV with hw=h5 (hw=h3 probably too - the same bad code)
- release 0.20010309.1

Revision 1.10  2001/07/31 16:46:30  qboosh
- use %%rpmcflags, added _with_3dnow (using AMD 3Dnow! instructions)
- forkaround for new autoconf ([] from [456]86 disappeared)
- fixed build with 3Dnow and for hw=h5
NOTE: SEGV on Voodoo4 when optimizations enabled

Revision 1.9  2001/06/09 09:28:31  misiek
- fix auto* and libtool stuff generation
- fix release field and epoch 1

Revision 1.8  2001/03/18 23:06:47  blues
- few more translations
- some clean-ups in groups file

Revision 1.7  2001/03/08 23:40:02  misiek
20010309 snapshot

Revision 1.6  2000/12/14 16:43:31  baggins
- buildrequires XFree86-devel

Revision 1.5  2000/11/02 16:49:31  baggins
- updated to CVS snapshot

Revision 1.4  2000/06/16 16:13:54  baggins
- release 8
- added g3ext.h to %%install and %%files devel

Revision 1.3  2000/06/16 14:11:26  baggins
- release 7
- bring in sync with sourceforge CVS (added patch)
- link neccessary sources

Revision 1.2  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.1  2000/05/23 12:58:20  baggins
- cleanup
- specs adapterized
- ready to go
